package cn.gygxzc.envir.sys.service

import cn.gygxzc.tina.cloud.jwt.session.bean.User
import org.springframework.cloud.openfeign.FeignClient
import org.springframework.web.bind.annotation.*

/**
 * Created by niantuo on 2018/12/17.
 * 通过feign 调用获取用户信心。
 */
@FeignClient("sys")
interface IFUserService {

    @RequestMapping(method = [RequestMethod.POST], value = ["/feign/user/account"])
    fun getAccountByIds(@RequestBody ids: List<Long>): List<String>

    @RequestMapping(value = ["/feign/user/account/{id}"], method = [RequestMethod.GET])
    fun getAccountById(@PathVariable("id") id: Long): String?

    @RequestMapping(value = ["/feign/user/{id}"], method = [RequestMethod.GET])
    fun getUserInfo(@PathVariable("id") id: Long): User?

    @RequestMapping(value = ["/feign/user/info/{account}"], method = [RequestMethod.GET])
    fun getUserByAccount(@PathVariable("account") account: String): User?

}
